Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.form.model.forms
Class AbstractFormRepresentationEncoder

    java.lang.Object
      org.jbpm.kie.services.impl.form.model.forms.AbstractFormRepresentationEncoder

All Implemented Interfaces:
  FormRepresentationEncoder

    public abstract class AbstractFormRepresentationEncoder

extends Object
implements FormRepresentationEncoder

Constructor Summary
`AbstractFormRepresentationEncoder()`

Method Summary
`String` | `encode(FormItemRepresentation item)`
`String` | `encode(FormRepresentation form)`
`String` | `encodeInputs(Map<String,InputData> inputs)`
`String` | `encodeList(List<? extends Mappable> list)`
`String` | `encodeLong(Long value)`
`String` | `encodeMenuItemsMap(Map<String,List<MenuItemDescription>> items)`
`String` | `encodeOutputs(Map<String,OutputData> outputs)`
`String` | `encodeString(String value)`
`abstract String` | `formatDate(Date date)`
`abstract Object` | `fromMap(Map<String,Object> map)`
`static String` | `getDateFormatString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractFormRepresentationEncoder

    public AbstractFormRepresentationEncoder()

Method Detail

### getDateFormatString

    public static String getDateFormatString()

### encode

    public String encode(FormRepresentation form)
                  throws FormEncodingException

  Specified by:
    `encode` in interface `FormRepresentationEncoder`
  Throws:
    `FormEncodingException`

### encodeString

    public String encodeString(String value)

### encodeLong

    public String encodeLong(Long value)

### encodeMenuItemsMap

    public String encodeMenuItemsMap(Map<String,List<MenuItemDescription>> items)
                              throws FormEncodingException

  Specified by:
    `encodeMenuItemsMap` in interface `FormRepresentationEncoder`
  Throws:
    `FormEncodingException`

### encode

    public String encode(FormItemRepresentation item)
                  throws FormEncodingException

  Specified by:
    `encode` in interface `FormRepresentationEncoder`
  Throws:
    `FormEncodingException`

### encodeList

    public String encodeList(List<? extends Mappable> list)

### encodeInputs

    public String encodeInputs(Map<String,InputData> inputs)

### encodeOutputs

    public String encodeOutputs(Map<String,OutputData> outputs)

### fromMap

    public abstract Object fromMap(Map<String,Object> map)

### formatDate

    public abstract String formatDate(Date date)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.